searchData={"items":[{"type":"module","title":"Querykit","doc":"Querykit provides SQL string interpolation with automatic parameter binding.\n\nThis module offers a convenient way to write SQL queries with Elixir expressions\nthat are automatically converted to parameterized queries, helping prevent SQL\ninjection and making the code more maintainable.","ref":"Querykit.html"},{"type":"macro","title":"Querykit.sigil_q/2","doc":"SQL sigil (~q).\n\nInterpolates Elixir expressions into a SQL string, replacing them with\npositional parameters ($1, $2, etc.) and returning a tuple containing the\nparameterized SQL string and a list of the interpolated values.","ref":"Querykit.html#sigil_q/2"},{"type":"macro","title":"Parameters - Querykit.sigil_q/2","doc":"The sigil accepts any Elixir expression inside #{} interpolation syntax.\nThese expressions are replaced with positional parameters ($1, $2, etc.)\nin the resulting SQL string.","ref":"Querykit.html#sigil_q/2-parameters"},{"type":"macro","title":"Return Value - Querykit.sigil_q/2","doc":"Returns a tuple `{sql_string, params}` where:\n- `sql_string` is the SQL query with $n placeholders\n- `params` is a list of values to be bound to the placeholders","ref":"Querykit.html#sigil_q/2-return-value"},{"type":"macro","title":"Examples - Querykit.sigil_q/2","doc":"iex> import Querykit\n    iex> name = \"Alice\"\n    iex> ~q\"SELECT * FROM users WHERE name = #{name}\"\n    {\"SELECT * FROM users WHERE name = $1\", [\"Alice\"]}","ref":"Querykit.html#sigil_q/2-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.38.1"}}